Skip to main content
GET
/
public
/
v1
/
service-locations
/
{service_location_id}
Get Service Location
curl --request GET \
  --url https://app.silnahealth.com/api/public/v1/service-locations/{service_location_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.silnahealth.com/api/public/v1/service-locations/{service_location_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.silnahealth.com/api/public/v1/service-locations/{service_location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "npi": "1234567890",
  "tin": "123456789",
  "address_line_1": "54 Broome St",
  "provider_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "city": "New York",
  "state": "NY",
  "zip_code": "10001",
  "name": "<string>",
  "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address_line_2": "Apt 3",
  "ptan_number": null,
  "primary_taxonomy_code": null,
  "source_id": "my-unique-id-123"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

service_location_id
string
required

Response

V1 Service Location

V1 Service Location

id
string<uuid>
required

The service location's Silna identifier

npi
string
required

National Provider Identifier

Required string length: 10
Pattern: ^[0-9]{10}$
Example:

"1234567890"

tin
string
required

Tax Identification Number

Required string length: 9
Pattern: ^[0-9]{9}$
Example:

"123456789"

address_line_1
string
required

Primary address line

Example:

"54 Broome St"

provider_group_id
string<uuid>
required

ID of the associated provider group

city
string
required

City name

Example:

"New York"

state
string
required

Two-letter state code

Example:

"NY"

zip_code
string
required

ZIP code

Example:

"10001"

name
string
required

Location name

provider_id
string<uuid>
required

The associated provider's Silna identifier

address_line_2
string | null

Secondary address line

Example:

"Apt 3"

ptan_number
string | null

PTAN number

primary_taxonomy_code
string | null

Primary taxonomy code

source_id
string | null

An API client's (internal) identifier for a service location

Example:

"my-unique-id-123"